package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 离职成员的外部联系人列表
 *
 * @author fdh
 */
public class ExternalInfoDTO implements Serializable {
    /**
     *
     */
    private String handoverExternalId;

    /**
     * 企业id
     */
    private String wxEnterpriseId;

    private String handoverStaffId;
    private String handoverStaffName;

    private String takeoverStaffId;
    private String takeoverStaffName;

    /**
     * 外部联系人id
     */
    private String externalUserId;

    /**
     * 外部联系人名称
     */
    private String externalUserName;

    private String relationId;

    /**
     * 是否是好办的好友
     */
    private Integer haobanFriendFlag;

    /**
     * 头像
     */
    private String externalHeadUrl;

    /**
     * 0删除 1正常 2已分配处理
     */
    private Integer statusFlag;

    /**
     * 分配表的id
     */
    private String handoverTransferId;

    /**
     * 接替客户的时间，如果是等待接替状态，则为未来的自动接替时间
     */
    private Date takeoverTime;

    /**
     * 0- 1-接替完毕 2-等待接替 3-客户拒绝 4-接替成员客户达到上限
     */
    private String transferStatus;

    /**
     * 分配时间
     */
    private Date transferTime;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getHandoverExternalId() {
        return handoverExternalId;
    }

    public void setHandoverExternalId(String handoverExternalId) {
        this.handoverExternalId = handoverExternalId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getHandoverStaffId() {
        return handoverStaffId;
    }

    public void setHandoverStaffId(String handoverStaffId) {
        this.handoverStaffId = handoverStaffId;
    }

    public String getHandoverStaffName() {
        return handoverStaffName;
    }

    public void setHandoverStaffName(String handoverStaffName) {
        this.handoverStaffName = handoverStaffName;
    }

    public String getTakeoverStaffId() {
        return takeoverStaffId;
    }

    public void setTakeoverStaffId(String takeoverStaffId) {
        this.takeoverStaffId = takeoverStaffId;
    }

    public String getTakeoverStaffName() {
        return takeoverStaffName;
    }

    public void setTakeoverStaffName(String takeoverStaffName) {
        this.takeoverStaffName = takeoverStaffName;
    }

    public String getExternalUserId() {
        return externalUserId;
    }

    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    public String getExternalUserName() {
        return externalUserName;
    }

    public void setExternalUserName(String externalUserName) {
        this.externalUserName = externalUserName;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public Integer getHaobanFriendFlag() {
        return haobanFriendFlag;
    }

    public void setHaobanFriendFlag(Integer haobanFriendFlag) {
        this.haobanFriendFlag = haobanFriendFlag;
    }

    public String getExternalHeadUrl() {
        return externalHeadUrl;
    }

    public void setExternalHeadUrl(String externalHeadUrl) {
        this.externalHeadUrl = externalHeadUrl;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getHandoverTransferId() {
        return handoverTransferId;
    }

    public void setHandoverTransferId(String handoverTransferId) {
        this.handoverTransferId = handoverTransferId;
    }

    public Date getTakeoverTime() {
        return takeoverTime;
    }

    public void setTakeoverTime(Date takeoverTime) {
        this.takeoverTime = takeoverTime;
    }

    public String getTransferStatus() {
        return transferStatus;
    }

    public void setTransferStatus(String transferStatus) {
        this.transferStatus = transferStatus;
    }

    public Date getTransferTime() {
        return transferTime;
    }

    public void setTransferTime(Date transferTime) {
        this.transferTime = transferTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }
}